/*
**  Commander.m
**
**  Copyright (c) 2003
**
**  Author: Yen-Ju Chen <yjchenx@hotmail.com>
**
**  This program is free software; you can redistribute it and/or modify
**  it under the terms of the GNU General Public License as published by
**  the Free Software Foundation; either version 2 of the License, or
**  (at your option) any later version.
**
**  This program is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**  GNU General Public License for more details.
**
**  You should have received a copy of the GNU General Public License
**  along with this program; if not, write to the Free Software
**  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "Commander.h"
#include "CommanderView.h"
#include "AppView.h"
#include <Foundation/NSString.h>

@implementation Commander

- (id) initWithFrame: (NSRect) rect andLocation: (NSString *) loc
{
  self = [super init];

  if ([loc isEqualToString: @"Applications"])
    {
      view = [[AppView alloc] initWithFrame: rect];
    }
  else
    {
      view = [[CommanderView alloc] initWithFrame: rect];
    }
  [view setAutoresizingMask: NSViewWidthSizable | NSViewHeightSizable];

  return self;
}

- (void) dealloc
{
  RELEASE(view);
  [super dealloc];
}

- (NSView *) view
{
  return view;
}

- (void) reload
{
}

- (void) setProperty: (id) propertyList
{
}

- (id) property
{
  return nil;
}

- (void) copy
{
}

- (void) paste
{
}

+ (NSString *) bundleDescription
{
  return @"Commander";
}

@end
