/*
**  CommanderView.h
**
**  Copyright (c) 2003
**
**  Author: Yen-Ju Chen <yjchenx@hotmail.com>
**
**  Rewritten from AppController.h (GSCommander) 
**  by Philippe C.D. Robert <phr@3dkit.org>
**
**  This program is free software; you can redistribute it and/or modify
**  it under the terms of the GNU General Public License as published by
**  the Free Software Foundation; either version 2 of the License, or
**  (at your option) any later version.
**
**  This program is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**  GNU General Public License for more details.
**
**  You should have received a copy of the GNU General Public License
**  along with this program; if not, write to the Free Software
**  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef _Toolbox_Commander_H_CommanderView
#define _Toolbox_Commander_H_CommanderView

#include <AppKit/AppKit.h>

@class Command;

@interface CommanderView: NSView
{
    NSTimeInterval interval;
    NSTimer        *timer;

    NSTextField    *timeField;
    NSTextField    *commandField;
    NSTextView     *output;
    NSButton       *activeButton;
    NSWindow       *window;
    Command        *command;
}

- (void) setCommand: (id)sender;
- (void) setTimeInterval: (id)sender;
- (void) activateCommand: (id)sender;
- (void) executeCommand;
- (void) taskEnded: (NSNotification *) not;

@end

#endif /* _Toolbox_Commander_H_CommanderView */
