/*
   DefaultView.h

   Copyright (C) 2003

   Author:  Yen-Ju Chen <yjchenx@hotmail.com>

   Rewritten from PlistEditor by Fabien VALLON <fabien@tuxfamily.org>
   (http://gnustep-apps.org/fabien/PlistEditor/)

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public
   License along with this library; see the file COPYING.LIB.
   If not, write to the Free Software Foundation,
   59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef _Toolbox_DefaultEditor_H_DefaultView
#define _Toolbox_DefaultEditor_H_DefaultView

#include <AppKit/NSView.h>
#include <Foundation/NSDictionary.h>

@class NSOutlineView;
@class NSMutableArray;
@class NSString;
@class Node;
@class NSTableColumn;

@interface DefaultView: NSView
{
  NSOutlineView *outlineView;
  NSMutableArray *_rootArray;
  NSMutableDictionary *_dict;
  NSString *location;
}

- (id) initWithFrame: (NSRect) frame;

- (void) buildTree;
- (Node *) buildNode: (Node *) node 
           withObject: (id) object 
           withParent: (Node *) parent;

// OutlineView dataSource

- (int) outlineView: (NSOutlineView *) outlineView 
        numberOfChildrenOfItem: (id) item;
- (id) outlineView: (NSOutlineView *) outlineView 
       child: (int) index ofItem: (id) item;
- (BOOL) outlineView: (NSOutlineView *) outlineView 
         isItemExpandable: (id) item;
- (id) outlineView: (NSOutlineView *) outlineView  
       objectValueForTableColumn: (NSTableColumn *) tableColumn 
       byItem: (id) item;

// OutlinView delegate

- (BOOL) outlineView:(NSOutlineView *)outlineView 
         shouldEditTableColumn:(NSTableColumn *)tableColumn 
         item:(id) item;

@end

#endif /* _Toolbox_DefaultEditor_H_DefaultView */
