/*
   Node.h

   Copyright (C) 2003

   Author:  Yen-Ju Chen <yjchenx@hotmail.com>

   Rewritten from PlistEditor by Fabien VALLON <fabien@tuxfamily.org>
   (http://gnustep-apps.org/fabien/PlistEditor/)

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public
   License along with this library; see the file COPYING.LIB.
   If not, write to the Free Software Foundation,
   59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef _Toolbox_DefaultEditor_H_Node
#define _Toolbox_DefaultEditor_H_Node

#include <Foundation/NSObject.h>

@class NSArray;
@class NSMutableArray;
@class NSString;

@interface Node : NSObject
{
  Node *_parent;
  NSMutableArray *_children;
  NSString *_value;
  NSString *_key;
}

-(Node *) parent;
-(void) setParent:(Node *) parent;
-(void) addChildren:(Node *) children;
-(NSArray *) children; /* will return empty for 0 children, not nil */
-(void) setKey:(NSString *) key;
-(NSString *) key;
-(void) setValue:(NSString *) value;
-(NSString *) value;

@end
#endif /* _Toolbox_DefaultEditor_H_Node */
