/*
**  InternetSearch.m
**
**  Copyright (c) 2003
**
**  Author: Yen-Ju Chen <yjchenx@hotmail.com>
**
**  This program is free software; you can redistribute it and/or modify
**  it under the terms of the GNU General Public License as published by
**  the Free Software Foundation; either version 2 of the License, or
**  (at your option) any later version.
**
**  This program is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**  GNU General Public License for more details.
**
**  You should have received a copy of the GNU General Public License
**  along with this program; if not, write to the Free Software
**  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "InternetSearch.h"
#include "InternetSearchView.h"
#include <Foundation/NSString.h>

@implementation InternetSearch

- (id) initWithFrame: (NSRect) rect andLocation: (NSString *) loc;
{
  self = [super init];

  ASSIGN(location, loc);

  view = [[InternetSearchView alloc] initWithFrame: rect andLocation: location];
  [view setAutoresizingMask: NSViewWidthSizable | NSViewHeightSizable];

  return self;
}

- (void) dealloc
{
  RELEASE(location);
  RELEASE(view);
  [super dealloc];
}

- (NSView *) view
{
  return view;
}

- (void) reload
{
}

- (void) setProperty: (id) propertyList
{
}

- (id) property
{
  return nil;
}

- (void) copy
{
}

- (void) paste
{
}

+ (NSString *) bundleDescription
{
  return @"Internet Search";
}

@end
